summaryrefslogtreecommitdiff
path: root/integration-tests/openstackclient-tip.sh
diff options
context:
space:
mode:
Diffstat (limited to 'integration-tests/openstackclient-tip.sh')
-rwxr-xr-xintegration-tests/openstackclient-tip.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/integration-tests/openstackclient-tip.sh b/integration-tests/openstackclient-tip.sh
new file mode 100755
index 0000000..b24ff31
--- /dev/null
+++ b/integration-tests/openstackclient-tip.sh
@@ -0,0 +1,14 @@
+#!/bin/sh -x
+
+set -e
+
+envdir=$1
+
+# The source for the client library is checked out by pip because of
+# the deps listed in tox.ini, so we just need to move into that
+# directory.
+cd $envdir/src/openstackclient/
+
+pip install -r test-requirements.txt
+
+python setup.py testr